GET /word.json/{word}/definitions

wordnik.com

Summary: Return definitions for a word
Operation ID: getDefinitions
Auth: unknown

Parameters (7)

includeRelated (string, query, optional, default: false)

Return related words with definitions

includeTags (string, query, optional, default: false)

Return a closed set of XML tags in response

Constraints: {'enum': ['false', 'true']}

limit (integer, query, optional, default: 200)

Maximum number of results to return

partOfSpeech (string, query, optional)

CSV list of part-of-speech types

Constraints: {'enum': ['noun', 'adjective', 'verb', 'adverb', 'interjection', 'pronoun', 'preposition', 'abbreviation', 'affix', 'article', 'auxiliary-verb', 'conjunction', 'definite-article', 'family-name', 'given-name', 'idiom', 'imperative', 'noun-plural', 'noun-posessive', 'past-participle', 'phrasal-prefix', 'proper-noun', 'proper-noun-plural', 'proper-noun-posessive', 'suffix', 'verb-intransitive', 'verb-transitive']}

sourceDictionaries (array, query, optional)

Source dictionary to return definitions from. If 'all' is received, results are returned from all sources. If multiple values are received (e.g. 'century,wiktionary'), results are returned from the first specified dictionary that has definitions. If left blank, results are returned from the first dictionary that has definitions. By default, dictionaries are searched in this order: ahd-5, wiktionary, webster, century, wordnet

Constraints: {'enum': ['all', 'ahd-5', 'century', 'wiktionary', 'webster', 'wordnet']}

useCanonical (string, query, optional, default: false)

If true will try to return the correct word root ('cats' -> 'cat'). If false returns exactly what was requested.

Constraints: {'enum': ['false', 'true']}

word (string, path, required)

Word to return definitions for

No probe data for this endpoint yet.